# Class MEGAExporter

java.lang.Object
jebl.evolution.io.MEGAExporter

All Implemented Interfaces:
  `AlignmentExporter`

public class MEGAExporter extends Object implements AlignmentExporter
* Export to MEGA.

Version:
  $Id: MEGAExporter.java 530 2006-11-15 04:01:44Z stevensh $
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`MEGAExporter(Writer writer, String comment)`

## Method Summary

Modifier and Type
Method
Description
`void`
`exportAlignment(Alignment alignment)`
Deprecated.
Files created by this export method won't be importable by MEGA (because they don't have titles).
`void`
`exportAlignment(Alignment alignment, String name)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MEGAExporter

public MEGAExporter(Writer writer, String comment)

Parameters:
  `writer` - where export text goes

## Method Details

### exportAlignment

public void exportAlignment(Alignment alignment, String name) throws IOException

Parameters:
  `alignment` - the alignment to export
  `name` - the name of the alignment
Throws:
  `IOException`

### exportAlignment

public void exportAlignment(Alignment alignment) throws IOException
Deprecated.
Files created by this export method won't be importable by MEGA (because they don't have titles). Use `exportAlignment(jebl.evolution.alignments.Alignment, String)` instead.
Description copied from interface: `AlignmentExporter`
export one alignment.

Specified by:
  `exportAlignment` in interface `AlignmentExporter`
Parameters:
  `alignment` -
Throws:
  `IOException`